package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

public class B14 {

    public B14() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "查勘出图日期")
    private String surveyPlotDay;
    @JSONField(name = "区县")
    private String county;
    @JSONField(name = "查勘站段点机房等名")
    private String surveySectionStationAndMachineRoom;
    @JSONField(name = "查勘人")
    private String surveyPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "查勘人归属单元")
    private String surveyOwnerUnit;
    @JSONField(name = "项目归属单元")
    private String projectOwnerUnit;
    @JSONField(name = "用车方式")
    private String transportWay;
    @JSONField(name = "用车类型")
    private String carType;
    @JSONField(name = "日行公里数")
    private Double todayKil;
    @JSONField(name = "车费")
    private Double carCharge;
    @JSONField(name = "直接加油费")
    private Double directFuelCharge;
    @JSONField(name = "结算油价")
    private Double clearingOilCharge;
    @JSONField(name = "停车费")
    private Double parkingCharge;
    @JSONField(name = "过路桥费")
    private Double bridgeCharge;
    @JSONField(name = "用车费小计")
    private Double carFare;
    @JSONField(name = "早餐补")
    private Double breakfastBonus;
    @JSONField(name = "中餐补")
    private Double lunchBonus;
    @JSONField(name = "晚餐补")
    private Double dinnerBonus;
    @JSONField(name = "餐补小计")
    private Double mealBonusAmount;
    @JSONField(name = "他方出车餐费")
    private Double otherUseCardAndMealFee;
    @JSONField(name = "出图公里数")
    private Double plotKil;
    @JSONField(name = "出图单价")
    private Double plotPrice;
    @JSONField(name = "出图包干小计")
    private Double plotAmount;
    @JSONField(name = "合计")
    private Double total;
    @JSONField(name = "税率")
    private Double taxRate;
    @JSONField(name = "含税合计")
    private Double totalInTax;
    @JSONField(name = "用餐人全名电话")
    private String dinePeopleNameAndPhone;
    @JSONField(name = "说明")
    private String explainInfo;
    @JSONField(name = "负责人")
    private String uploadPerson;
    @JSONField(name = "B14上传时间")
    private String uploadTime;
    @JSONField(name = "起始公里MP4画面中时间")
    private String startKilTime;
    @JSONField(name = "结束公里MP4画面中时间")
    private String endKilTime;
    @JSONField(name = "车身车牌MP4是否合格")
    private String carBodyAndPlateNumberIsPassed;
    @JSONField(name = "起始公里MP4是否合格")
    private String startKilIsPassed;
    @JSONField(name = "结束公里和租车单MP4是否合格")
    private String endKilIsPassed;
    @JSONField(name = "查勘现场视频合格条数_含查勘失败")
    private String qualifiedCount;
    @JSONField(name = "计价器价格JPG是否合格")
    private String taximeterIsPassed;
    @JSONField(name = "加油费票和过路费票和过桥费票JPG是否合格")
    private String fuelAndPassAndBridgeIsPassed;
    @JSONField(name = "他方出车餐费JPG是否合格")
    private String othersUseCardAndMealFeeIsPassed;
    @JSONField(name = "付款截图是否合格")
    private String paymentScreenshotIsPassed;
    @JSONField(name = "出图包干CAD是否合格")
    private String plotIsPassed;
    @JSONField(name = "审核说明")
    private String status;
    @JSONField(name = "查勘人被罚金额")
    private Double surveyBeFinedMoney;
    @JSONField(name = "单元负责人被罚金额")
    private Double unitPrincipleBeFinedMoney;
    @JSONField(name = "审定金额")
    private Double verifyMoney;
    @JSONField(name = "审定金额_含税")
    private Double verifyMoneyIncludeTax;
    @JSONField(name = "申诉内容")
    private String appealContent;
    @JSONField(name = "申诉回复")
    private String othersExplain;
    @JSONField(name = "审定批次日期")
    private String verifyTime;
    @JSONField(name = "审核人")
    private String verifier;
    @JSONField(name = "同意标志")
    private String agreeSign;

    public B14(String surveyPlotDay, String userId, String projectOwnerUnit) {
        this.surveyPlotDay = surveyPlotDay;
        this.userId = userId;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public B14(String surveyPlotDay, String projectOwnerUnit) {
        this.surveyPlotDay = surveyPlotDay;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSurveyPlotDay() {
        return surveyPlotDay;
    }

    public void setSurveyPlotDay(String surveyPlotDay) {
        this.surveyPlotDay = surveyPlotDay;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public String getSurveySectionStationAndMachineRoom() {
        return surveySectionStationAndMachineRoom;
    }

    public void setSurveySectionStationAndMachineRoom(String surveySectionStationAndMachineRoom) {
        this.surveySectionStationAndMachineRoom = surveySectionStationAndMachineRoom;
    }

    public String getSurveyPerson() {
        return surveyPerson;
    }

    public void setSurveyPerson(String surveyPerson) {
        this.surveyPerson = surveyPerson;
    }

    public String getSurveyOwnerUnit() {
        return surveyOwnerUnit;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public void setSurveyOwnerUnit(String surveyOwnerUnit) {
        this.surveyOwnerUnit = surveyOwnerUnit;
    }

    public String getProjectOwnerUnit() {
        return projectOwnerUnit;
    }

    public void setProjectOwnerUnit(String projectOwnerUnit) {
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public String getTransportWay() {
        return transportWay;
    }

    public void setTransportWay(String transportWay) {
        this.transportWay = transportWay;
    }

    public String getCarType() {
        return carType;
    }

    public void setCarType(String carType) {
        this.carType = carType;
    }

    public Double getTodayKil() {
        return todayKil;
    }

    public void setTodayKil(Double todayKil) {
        this.todayKil = todayKil;
    }

    public Double getCarCharge() {
        return carCharge;
    }

    public void setCarCharge(Double carCharge) {
        this.carCharge = carCharge;
    }

    public Double getDirectFuelCharge() {
        return directFuelCharge;
    }

    public void setDirectFuelCharge(Double directFuelCharge) {
        this.directFuelCharge = directFuelCharge;
    }

    public Double getClearingOilCharge() {
        return clearingOilCharge;
    }

    public void setClearingOilCharge(Double clearingOilCharge) {
        this.clearingOilCharge = clearingOilCharge;
    }

    public Double getParkingCharge() {
        return parkingCharge;
    }

    public void setParkingCharge(Double parkingCharge) {
        this.parkingCharge = parkingCharge;
    }

    public Double getBridgeCharge() {
        return bridgeCharge;
    }

    public void setBridgeCharge(Double bridgeCharge) {
        this.bridgeCharge = bridgeCharge;
    }

    public Double getCarFare() {
        return carFare;
    }

    public void setCarFare(Double carFare) {
        this.carFare = carFare;
    }

    public Double getBreakfastBonus() {
        return breakfastBonus;
    }

    public void setBreakfastBonus(Double breakfastBonus) {
        this.breakfastBonus = breakfastBonus;
    }

    public Double getLunchBonus() {
        return lunchBonus;
    }

    public void setLunchBonus(Double lunchBonus) {
        this.lunchBonus = lunchBonus;
    }

    public Double getDinnerBonus() {
        return dinnerBonus;
    }

    public void setDinnerBonus(Double dinnerBonus) {
        this.dinnerBonus = dinnerBonus;
    }

    public Double getMealBonusAmount() {
        return mealBonusAmount;
    }

    public void setMealBonusAmount(Double mealBonusAmount) {
        this.mealBonusAmount = mealBonusAmount;
    }

    public Double getOtherUseCardAndMealFee() {
        return otherUseCardAndMealFee;
    }

    public void setOtherUseCardAndMealFee(Double otherUseCardAndMealFee) {
        this.otherUseCardAndMealFee = otherUseCardAndMealFee;
    }

    public Double getPlotKil() {
        return plotKil;
    }

    public void setPlotKil(Double plotKil) {
        this.plotKil = plotKil;
    }

    public Double getPlotPrice() {
        return plotPrice;
    }

    public void setPlotPrice(Double plotPrice) {
        this.plotPrice = plotPrice;
    }

    public Double getPlotAmount() {
        return plotAmount;
    }

    public void setPlotAmount(Double plotAmount) {
        this.plotAmount = plotAmount;
    }

    public Double getTotal() {
        return total;
    }

    public void setTotal(Double total) {
        this.total = total;
    }

    public Double getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(Double taxRate) {
        this.taxRate = taxRate;
    }

    public Double getTotalInTax() {
        return totalInTax;
    }

    public void setTotalInTax(Double totalInTax) {
        this.totalInTax = totalInTax;
    }

    public String getDinePeopleNameAndPhone() {
        return dinePeopleNameAndPhone;
    }

    public void setDinePeopleNameAndPhone(String dinePeopleNameAndPhone) {
        this.dinePeopleNameAndPhone = dinePeopleNameAndPhone;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getStartKilTime() {
        return startKilTime;
    }

    public void setStartKilTime(String startKilTime) {
        this.startKilTime = startKilTime;
    }

    public String getEndKilTime() {
        return endKilTime;
    }

    public void setEndKilTime(String endKilTime) {
        this.endKilTime = endKilTime;
    }

    public String getCarBodyAndPlateNumberIsPassed() {
        return carBodyAndPlateNumberIsPassed;
    }

    public void setCarBodyAndPlateNumberIsPassed(String carBodyAndPlateNumberIsPassed) {
        this.carBodyAndPlateNumberIsPassed = carBodyAndPlateNumberIsPassed;
    }

    public String getStartKilIsPassed() {
        return startKilIsPassed;
    }

    public void setStartKilIsPassed(String startKilIsPassed) {
        this.startKilIsPassed = startKilIsPassed;
    }

    public String getEndKilIsPassed() {
        return endKilIsPassed;
    }

    public void setEndKilIsPassed(String endKilIsPassed) {
        this.endKilIsPassed = endKilIsPassed;
    }

    public String getQualifiedCount() {
        return qualifiedCount;
    }

    public void setQualifiedCount(String qualifiedCount) {
        this.qualifiedCount = qualifiedCount;
    }

    public String getTaximeterIsPassed() {
        return taximeterIsPassed;
    }

    public void setTaximeterIsPassed(String taximeterIsPassed) {
        this.taximeterIsPassed = taximeterIsPassed;
    }

    public String getFuelAndPassAndBridgeIsPassed() {
        return fuelAndPassAndBridgeIsPassed;
    }

    public void setFuelAndPassAndBridgeIsPassed(String fuelAndPassAndBridgeIsPassed) {
        this.fuelAndPassAndBridgeIsPassed = fuelAndPassAndBridgeIsPassed;
    }

    public String getOthersUseCardAndMealFeeIsPassed() {
        return othersUseCardAndMealFeeIsPassed;
    }

    public void setOthersUseCardAndMealFeeIsPassed(String othersUseCardAndMealFeeIsPassed) {
        this.othersUseCardAndMealFeeIsPassed = othersUseCardAndMealFeeIsPassed;
    }

    public String getPaymentScreenshotIsPassed() {
        return paymentScreenshotIsPassed;
    }

    public void setPaymentScreenshotIsPassed(String paymentScreenshotIsPassed) {
        this.paymentScreenshotIsPassed = paymentScreenshotIsPassed;
    }

    public String getPlotIsPassed() {
        return plotIsPassed;
    }

    public void setPlotIsPassed(String plotIsPassed) {
        this.plotIsPassed = plotIsPassed;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Double getSurveyBeFinedMoney() {
        return surveyBeFinedMoney;
    }

    public void setSurveyBeFinedMoney(Double surveyBeFinedMoney) {
        this.surveyBeFinedMoney = surveyBeFinedMoney;
    }

    public Double getUnitPrincipleBeFinedMoney() {
        return unitPrincipleBeFinedMoney;
    }

    public void setUnitPrincipleBeFinedMoney(Double unitPrincipleBeFinedMoney) {
        this.unitPrincipleBeFinedMoney = unitPrincipleBeFinedMoney;
    }

    public Double getVerifyMoney() {
        return verifyMoney;
    }

    public void setVerifyMoney(Double verifyMoney) {
        this.verifyMoney = verifyMoney;
    }

    public Double getVerifyMoneyIncludeTax() {
        return verifyMoneyIncludeTax;
    }

    public void setVerifyMoneyIncludeTax(Double verifyMoneyIncludeTax) {
        this.verifyMoneyIncludeTax = verifyMoneyIncludeTax;
    }

    public String getAppealContent() {
        return appealContent;
    }

    public void setAppealContent(String appealContent) {
        this.appealContent = appealContent;
    }

    public String getOthersExplain() {
        return othersExplain;
    }

    public void setOthersExplain(String othersExplain) {
        this.othersExplain = othersExplain;
    }

    public String getVerifyTime() {
        return verifyTime;
    }

    public void setVerifyTime(String verifyTime) {
        this.verifyTime = verifyTime;
    }

    public String getVerifier() {
        return verifier;
    }

    public void setVerifier(String verifier) {
        this.verifier = verifier;
    }

    public String getAgreeSign() {
        return agreeSign;
    }

    public void setAgreeSign(String agreeSign) {
        this.agreeSign = agreeSign;
    }

    @Override
    public String toString() {
        return "B14{" +
                "id=" + id +
                ", surveyPlotDay='" + surveyPlotDay + '\'' +
                ", county=" + county +
                ", surveySectionStationAndMachineRoom=" + surveySectionStationAndMachineRoom +
                ", surveyPerson='" + surveyPerson + '\'' +
                ", surveyOwnerUnit=" + surveyOwnerUnit +
                ", projectOwnerUnit='" + projectOwnerUnit + '\'' +
                ", transportWay='" + transportWay + '\'' +
                ", carType='" + carType + '\'' +
                ", todayKil='" + todayKil + '\'' +
                ", carCharge='" + carCharge + '\'' +
                ", directFuelCharge='" + directFuelCharge + '\'' +
                ", clearingOilCharge='" + clearingOilCharge + '\'' +
                ", parkingCharge='" + parkingCharge + '\'' +
                ", bridgeCharge='" + bridgeCharge + '\'' +
                ", carFare='" + carFare + '\'' +
                ", breakfastBonus='" + breakfastBonus + '\'' +
                ", lunchBonus='" + lunchBonus + '\'' +
                ", dinnerBonus='" + dinnerBonus + '\'' +
                ", mealBonusAmount='" + mealBonusAmount + '\'' +
                ", otherUseCardAndMealFee='" + otherUseCardAndMealFee + '\'' +
                ", plotKil='" + plotKil + '\'' +
                ", plotPrice='" + plotPrice + '\'' +
                ", plotAmount='" + plotAmount + '\'' +
                ", total='" + total + '\'' +
                ", taxRate='" + taxRate + '\'' +
                ", totalInTax='" + totalInTax + '\'' +
                ", dinePeopleNameAndPhone='" + dinePeopleNameAndPhone + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                ", startKilTime='" + startKilTime + '\'' +
                ", endKilTime='" + endKilTime + '\'' +
                ", carBodyAndPlateNumberIsPassed='" + carBodyAndPlateNumberIsPassed + '\'' +
                ", startKilIsPassed='" + startKilIsPassed + '\'' +
                ", endKilIsPassed='" + endKilIsPassed + '\'' +
                ", qualifiedCount='" + qualifiedCount + '\'' +
                ", taximeterIsPassed='" + taximeterIsPassed + '\'' +
                ", fuelAndPassAndBridgeIsPassed='" + fuelAndPassAndBridgeIsPassed + '\'' +
                ", othersUseCardAndMealFeeIsPassed='" + othersUseCardAndMealFeeIsPassed + '\'' +
                ", paymentScreenshotIsPassed='" + paymentScreenshotIsPassed + '\'' +
                ", plotIsPassed='" + plotIsPassed + '\'' +
                ", status='" + status + '\'' +
                ", surveyBeFinedMoney='" + surveyBeFinedMoney + '\'' +
                ", unitPrincipleBeFinedMoney='" + unitPrincipleBeFinedMoney + '\'' +
                ", verifyMoney='" + verifyMoney + '\'' +
                ", verifyMoneyIncludeTax='" + verifyMoneyIncludeTax + '\'' +
                ", appealContent='" + appealContent + '\'' +
                ", othersExplain='" + othersExplain + '\'' +
                ", verifyTime='" + verifyTime + '\'' +
                ", verifier='" + verifier + '\'' +
                ", agreeSign='" + agreeSign + '\'' +
                '}';
    }
}
